# Z Image Turbo LoRA - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/model-apis-z-image-turbo-lora

# Z Image Turbo LoRA

POST

/

v3

/

async

/

z-image-turbo-lora

Z Image Turbo LoRA

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/async/z-image-turbo-lora \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"seed": 123,
"size": "&#x3C;string>",
"loras": [
{
"path": "&#x3C;string>",
"scale": 123
}
],
"prompt": "&#x3C;string>"
}
'
```

200

```
{
"task_id": "&#x3C;string>"
}
```

Z-Image Turbo LoRA is a high-speed image generation model that supports rapid generation of high-quality images based on text prompts, with support for applying custom LoRA weights.

This is an asynchronous API; only the task_id will be returned. You should use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the video generation results.

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Supports: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-seed)

seed

integer

Random seed for generation. -1 means using a random seedValue range: [-1, 2147483647]

[​](#param-size)

size

string

default:"1024*1024"

Pixel dimensions of the generated image (width*height)

[​](#param-loras)

loras

object[]

default:"[]"

List of LoRAs to apply (maximum 3)Array length: 0 - 3

Hide properties

[​](#param-path)

path

string

required

URL or path to the LoRA weights

[​](#param-scale)

scale

number

default:1

Scale factor for the LoRA weights. Used to scale the LoRA weights before merging with the base modelValue range: [0, 4]

[​](#param-prompt)

prompt

string

required

Positive prompt for generation

##

[​](#response)

Response

[​](#param-task-id)

task_id

string

required

Use the task_id to request the [Task Result API](/docs/api-reference/model-apis-task-result) to retrieve the generated outputs.

Last modified on July 3, 2026
